@echo off
cls


REM -- INSTALL SIMCLIM, CHANGE PATH/FILENAME BELOW AS REQUIRED --
REM -------------------------------------------------------------

echo INSTALLING SIMCLIM
start /wait Setup\SimCLIM_2013_Global_3_1_0_0.exe /silent

IF ERRORLEVEL 1 GOTO setuperror



REM -- SET PROXY AS REQUIRED, UPDATE, COMMENT OUT/DELETE AS REQUIRED --
REM ---------------------------------------------------------------
echo SETTINGS PROXY
csetproxy -s "proxyserver.com:80" "proxyuser" "proxypassword"

IF ERRORLEVEL 1 GOTO setproxyerror



REM -- ACTIVATE SIMCLIM LICENSE, UPDATE AS REQUIRED --
REM ------------------------------
echo ACTIVATING SIMCLIM
clicense -a "productkey" "username" "password"

IF ERRORLEVEL 1 GOTO licenseerror

GOTO success



REM -- ERROR/RESULT MESSAGES --
REM ---------------------------

:setuperror
echo The setup program failed or was cancelled
GOTO done

:setproxyerror
echo Proxy settings could not be updated
GOTO done

:licenseerror
echo Licensing could not be completed successfully
GOTO done

:success
echo The script has completed successfully
GOTO done

:done